【小話】「AmazonJS」が使えないから、記事書く気がしない!

プラグインの「AmazonJS」でAmazon Product Advertising APIのエラーが発生する原因 | OXY NOTES

上記の記事の通りで、うちのサイトも見栄えもよく使いやすい「AmazonJS」のプラグインを使っていたのだが、ある日いつもの通り新規記事に「AmazonJS」でアフィリエイトのリンクを作ろうとしたら、エラーメッセージが。なんと、アマゾンの規約が変わり、30日以上買い物履歴がなかった場合、APIの利用が制限されるらしい。

「AmazonJS」が使えなくなっているものショックだったが、それ以上にうちのサイト経由で30日間の間、1回も買い物されてないほうがよりショックだった(笑)

そんなわけで、見た目はしょぼいけど、アマゾンのページで直接、アフィリエイトのリンクを作って、それを記事内に埋め込もうとしたのだが、そこでまた問題が・・・・

なんとWordPressでは<iframe>のタグが表示されない! というわけで、現在、新規作成記事においては、文字列以外のアマゾンへのアフィリエイト・リンクが貼れない状態。

あ∼、さらに更新意欲が減退するわぁ(笑)

コメントを残す

メールアドレスが公開されることはありません。